
  <!DOCTYPE html>
  <html>
    <head>
      <title>index.tsx</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/pages/additional-confirugation/index.tsx</td><td class="">99.51%</td><td class="">80%</td><td class="">203</td><td class="">202</td><td class="">1</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import React, { useMemo, useState } from &#x27;react&#x27;;
import { Header } from &#x27;../../components/Header/Header&#x27;;
import { ProjectBreadcrumbs } from &#x27;../project-settings&#x27;;
import { ItsMockedData } from &#x27;../../components/ItsMockedData/ItsMockedData&#x27;;
import { useParams } from &#x27;react-router-dom&#x27;;
import { useProject } from &#x27;../../queries/projects&#x27;;
import mcs from &#x27;../model-configuring/model-configuring.module.scss&#x27;;
import { Heading, HeadingVariant } from &#x27;../../components&#x27;;
import { Button, ButtonVariant } from &#x27;../../components/Button/Button&#x27;;
import { ReactComponent as SaveAndContinueIcon } from &#x27;../model-configuring/assets/save-and-continue.svg&#x27;;
import { LastSaved } from &#x27;../model-configuring&#x27;;
import { useFeeds } from &#x27;./hooks/useFeeds&#x27;;
import { useMetabolites } from &#x27;./hooks/useMetabolites&#x27;;
import { FormFieldFloatTextValue } from &#x27;../project-settings/components/FormFieldFloatTextValue&#x27;;
import { useFieldsSpec } from &#x27;./hooks/useFieldsSpec&#x27;;
import {
  FormWrapper,
  useValidate
} from &#x27;../project-settings/components/FormContext&#x27;;
import s from &#x27;./additional-confirugation.module.scss&#x27;;
import { useInputs } from &#x27;./hooks/useInputs&#x27;;
import { Input } from &#x27;./components/Input&#x27;;
import { useSubmit } from &#x27;./hooks/useSubmit&#x27;;
import { useDefaultValues } from &#x27;./hooks/useDefaultValues&#x27;;

const SaveButton = ({ onSubmit }: { onSubmit: () =&gt; void }) =&gt; {
  const validate = useValidate();
  return (
    &lt;Button
      hoverVariant={ButtonVariant.ACTION}
      rightIcon={&lt;SaveAndContinueIcon /&gt;}
      uppercase
      size=&quot;small&quot;
      onClick={() =&gt; {
        const errors = validate();
        if (Object.keys(errors).length === 0) {
          onSubmit();
        }
      }}
    &gt;
      Save &amp; Continue
    &lt;/Button&gt;
  );
};
export const AdditionalConfigurationPage = () =&gt; {
  const { projectId } = useParams&lt;{ projectId: string }&gt;();
  const project = useProject(projectId);
  const feeds = useFeeds();
  const metabolites = useMetabolites();
  const fieldsSpec = useFieldsSpec();
  const defaultValues = useDefaultValues();
  const inputs = useInputs();
  const [fields, onChangeFields] = useState({});
  const handleSubmit = useSubmit(fields);

  return (
    &lt;div&gt;
      &lt;FormWrapper
        defaultValues={defaultValues}
        fieldsSpec={fieldsSpec}
        fields={fields}
        setFields={onChangeFields}
      &gt;
        &lt;Header /&gt;
        &lt;ProjectBreadcrumbs /&gt;
        {project?.project?.isInRenderQueue &amp;&amp; (
          &lt;ItsMockedData&gt;We are waiting for the model to learn&lt;/ItsMockedData&gt;
        )}
        &lt;div className={mcs.ProjectSettings__content}&gt;
          &lt;div className={mcs.ModelConfiguring__contentLeft}&gt;
            &lt;Heading
              className={mcs.ProjectSettings__headingH2}
              variant={HeadingVariant.H2}
            &gt;
              Additional Configuration
            &lt;/Heading&gt;
            &lt;LastSaved /&gt;
          &lt;/div&gt;
          &lt;SaveButton onSubmit={handleSubmit} /&gt;
        &lt;/div&gt;
        &lt;div className={s.AdditionalConfiguration__content}&gt;
          &lt;div className={s.AdditionalConfiguration__heading}&gt;
            Feed composition
          &lt;/div&gt;
          &lt;div
            className={s.AdditionalConfiguration__feedGrid}
            style={{
              gridTemplateColumns: `repeat(${feeds.length + 1}, 140px)`
            }}
          &gt;
            &lt;div /&gt;
            {feeds.map((feed) =&gt; (
              &lt;div&gt;
                &lt;div className={s.AdditionalConfiguration__feedName}&gt;
                  {feed.name}
                &lt;/div&gt;
                &lt;div className={s.AdditionalConfiguration__feedType}&gt;
                  {feed.type}
                &lt;/div&gt;
              &lt;/div&gt;
            ))}
            {metabolites.map((metabolite) =&gt; (
              &lt;&gt;
                &lt;div className={s.AdditionalConfiguration__feedName}&gt;
                  {metabolite.label}
                &lt;/div&gt;
                {feeds.map((feed) =&gt; (
                  &lt;FormFieldFloatTextValue
                    fieldName={`${feed.id}___${feed.name}___${metabolite.value}___feed`}
                  /&gt;
                ))}
              &lt;/&gt;
            ))}
          &lt;/div&gt;
          &lt;div className={s.AdditionalConfiguration__inputsTitle}&gt;
            Inputs &amp; Metabolites
          &lt;/div&gt;
          &lt;div className={s.AdditionalConfiguration__inputsGrid}&gt;
            {inputs.map((input) =&gt; (
              &lt;Input
                key={input.id}
                id={input.id}
                name={input.name}
                type={input.type as string}
                role={input.role}
              /&gt;
            ))}
          &lt;/div&gt;
        &lt;/div&gt;
      &lt;/FormWrapper&gt;
    &lt;/div&gt;
  );
};
</textarea><pre id="annotations" style="display:none">[{&quot;file&quot;:&quot;src/pages/additional-confirugation/index.tsx&quot;,&quot;line&quot;:123,&quot;character&quot;:22,&quot;text&quot;:&quot;input.type as string&quot;,&quot;kind&quot;:3}]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  